CREATE TABLE FUNCIONARIO_PAGAMENTO (
COD_GERAL_F_P INTEGER NOT NULL,
ID_FUNCIONARIO_PAGAMENTO INTEGER NOT NULL,
DATA_VENC DATE,
TIPO CHAR(1),
DESCRICAO VARCHAR(90),
VALOR DECIMAL(15,2),
DATA_PAG DATE
);

CREATE GENERATOR GEN_COD_GERAL_F_P;

SET TERM ^ ;

CREATE TRIGGER TRIG_GEN_COD_GERAL_F_P FOR FUNCIONARIO_PAGAMENTO
ACTIVE BEFORE INSERT POSITION 0
AS
BEGIN
   NEW.COD_GERAL_F_P = gen_id(GEN_COD_GERAL_F_P,1);
END
 ^

COMMIT WORK ^
SET TERM ;^
